      SUBROUTINE SO32CASBUILD(DIMBMAX,W2BLOCK,W4BLOCK,NN,L)
C
C     SUBROUTINE THAT BUILD THE SO(3) CASIMIR (W^2)^2 MATRIX IN
C     THE CYLINDRICAL OSCILLATOR BASIS. 
C     SO(3) = {L,D+,D-}
C
C
C     PROGRAM OF THE U(3) ALGEBRAIC MODEL FOR BENDING DYNAMICS
C     
C     INPUT 
C     DIMBMAX   : LEADING DIMENSION OF W2BLOCK
C     W2BLOCK   : LOCAL BASIS MATRIX OF THE PAIRING OPERATOR
C     NN        : U(3) REPRESENTATION (TOTAL NUMBER OF U(3) BOSONS)
C     L         : VIBRATIONAL ANGULAR MOMENTUM
C
C     OUTPUT
C     W4BLOCK   : LOCAL BASIS MATRIX OF W^4
C     
C
C     
C     by Currix TM
C
C     
      IMPLICIT NONE
C     
C     DEFINITION OF VARIABLES
C     
      INTEGER DIMBMAX, NN, L
      DOUBLE PRECISION W2BLOCK(DIMBMAX,*),W4BLOCK(DIMBMAX,*)
C
      INTEGER IPRINT
C
C     CONTROL OUTPUT DISPLAYED
      COMMON/GRAF/ IPRINT
C
C     TEMPORAL VARIABLES                                     
      INTEGER DIMB, I1, I2
C
      IF (IPRINT.GT.2) WRITE(*,*) 'SUBROUTINE SO32CASBUILD STARTS HERE'
C
C
      DIMB = (NN - MOD(NN-L,2) - L)/2 + 1
C
C     INITIALIZING
C
      DO I1 = 1, DIMB
         DO I2 = 1, DIMB 
            W4BLOCK(I2,I1) = 0.0D0
         ENDDO
      ENDDO
C
C     MATRIX PRODUCT
      CALL DGEMM('N','N', DIMB, DIMB, DIMB, 1.0D0,
     $     W2BLOCK, DIMBMAX, W2BLOCK, DIMBMAX,
     $     0.0D0, W4BLOCK, DIMBMAX)
C
      IF (IPRINT.GT.2) WRITE(*,*) 'SUBROUTINE SO32CASBUILD ENDS HERE'
C
      RETURN
      END







